Bug 3137 - [UPDATE REQUEST] hplip-3.13.11
: [UPDATE REQUEST] hplip-3.13.11
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 18:25 MSK by Denis Silakov
Modified: 2013-11-19 12:23 MSK (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2013-11-13 18:25:38 MSK
hplip-3.13.11 is available which adds support for some more devices. Let's update.
Comment 1 Denis Silakov 2013-11-13 18:31:52 MSK
Advisory:
hplip updates to version 3.13.11 with several minor bug fixes and support for some more devices.

In addition, this package should issue from fix bug #2695 - hp-gui should not be visible if user has no printer.

As for bug #2733, explicit dependency to hplip-gui has been added to hplip package. It turns out that developers of hp-doctor want to provide it with UI, so they have added dependencies on some GUI modules. Maybe in future they will polish their changes and inter-dependencies, but for now you should not use hplip without hplip-gui.

Build lists:
https://abf.rosalinux.ru/build_lists/1387771
https://abf.rosalinux.ru/build_lists/1387770
Comment 2 Vladimir Potapov 2013-11-16 02:58:02 MSK
i586:
$ hp-systray

HP Linux Imaging and Printing System (ver. 3.13.11)
System Tray Status Service ver. 2.0

Copyright (c) 2001-13 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.


** (process:23168): WARNING **: Trying to register gtype 'GMountMountFlags' as enum when in fact it is of type 'GFlags'

** (process:23168): WARNING **: Trying to register gtype 'GDriveStartFlags' as enum when in fact it is of type 'GFlags'

** (process:23168): WARNING **: Trying to register gtype 'GSocketMsgFlags' as enum when in fact it is of type 'GFlags'
/usr/lib/python2.7/site-packages/gtk-2.0/gtk/__init__.py:127: RuntimeWarning: PyOS_InputHook is not available for interactive use of PyGTK
  set_interactive(1)
Comment 3 Denis Silakov 2013-11-18 11:18:57 MSK
Hm, so does hp-systray finally start or not? (currently I have only machines without printers near me, hp-systray says that no devices are found and exits)
Comment 4 Wjacheslaw 2013-11-18 11:36:39 MSK
Принтер HP LJ P1102w и РОСА KDE_32. Установил новый пакет(1387770), улучшений не заметил. Присутствующая ранее ошибка в выводе hp-systray продолжает быть.
Comment 5 Aleksandr Kazantcev 2013-11-18 11:39:51 MSK
please provide 

cat /etc/xdg/autostart/hplip-systray.desktop
Comment 6 Vladimir Potapov 2013-11-18 11:46:33 MSK
(In reply to comment #3)
> Hm, so does hp-systray finally start or not? (currently I have only machines
> without printers near me, hp-systray says that no devices are found and
> exits)
No. The bug for i586.
For x64 hp-systray run without errors but exit when can't detect any printer (but printer present and work)
**************************
QA Denied
Comment 7 Vladimir Potapov 2013-11-18 11:50:56 MSK
(In reply to comment #5)
> please provide 
> 
> cat /etc/xdg/autostart/hplip-systray.desktop
I back system to old version by urpm-reposync and hp-icons show again.
Comment 8 Vladimir Potapov 2013-11-18 11:51:46 MSK
(In reply to comment #7)
>hp-icons show again.
hp-systray icons
Comment 9 Denis Silakov 2013-11-18 13:11:11 MSK
Hm, ok, let's try without systray patch then.

Advisory:
hplip updates to version 3.13.11 with several minor bug fixes and support for some more devices.

Build lists:
https://abf.rosalinux.ru/build_lists/1390538
https://abf.rosalinux.ru/build_lists/1390537
Comment 10 Vladimir Potapov 2013-11-18 16:30:48 MSK
hplip-3.13.11-3-rosa2012.1
******************** Advisory **********************
hplip updates to version 3.13.11 with several minor bug fixes and support for some more devices.
****************************************************
QA Verified